> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Get an extension vendor

`GET https://api.pagerduty.com/extension_schemas/{id}`

Get details about one specific extension vendor.

A PagerDuty extension vendor represents a specific type of outbound extension such as Generic Webhook, Slack, ServiceNow.

For more information see the [API Concepts Document](https://docs.pagerduty.com/developer/api-concepts#extension-schemas)

Scoped OAuth requires: `extension_schemas.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

The extension vendor requested

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `extension_schema` | object | yes |  |
| `extension_schema.icon_url` | string (url) |  | A small logo, 18-by-18 pixels. Read-only. |
| `extension_schema.logo_url` | string (url) |  | A large logo, 75 pixels high and no more than 300 pixels wide. Read-only. |
| `extension_schema.label` | string |  | Human friendly display label. Read-only. |
| `extension_schema.key` | string |  | Machine friendly display label. Read-only. |
| `extension_schema.description` | string |  | The long description for the Extension. |
| `extension_schema.guide_url` | string (url) |  | A link to the extension's support guide. Read-only. |
| `extension_schema.send_types` | array of string |  | The types of PagerDuty incident events that will activate this Extension. Items must be unique. |
| `extension_schema.url` | string |  | The url that the webhook payload will be sent to for this Extension. Read-only. |

Example: Response Example

```json
{
  "extension_schema": {
    "id": "PJFWPEP",
    "type": "extension_schema",
    "summary": "Generic Webhook",
    "self": "https://api.pagerduty.com/extension_schemas/PJFWPEP",
    "description": "Long description here",
    "guide_url": "https://developer.pagerduty.com",
    "icon_url": "https://extension.com/extension.png",
    "key": "generic_webhook",
    "label": "Generic Webhook",
    "logo_url": "https://extension.com/logo.png",
    "send_types": [
      "trigger",
      "acknowledge",
      "resolve",
      "delegate",
      "escalate",
      "unacknowledge",
      "assign"
    ],
    "url": ""
  }
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
